<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "mybatis-3-mapper.dtd">
<mapper namespace="com.mortals.xhx.module.company.dao.ibatis.CompanyDaoImpl">

    <!-- 字段和属性映射 -->
    <resultMap type="CompanyEntity" id="CompanyEntity-Map">
        <id  property="id" column="id" />
        <result property="companyName" column="companyName" />
        <result property="companyCode" column="companyCode" />
        <result property="registrationNumber" column="registrationNumber" />
        <result property="legalRepresentative" column="legalRepresentative" />
        <result property="registeredCapital" column="registeredCapital" />
        <result property="companyType" column="companyType" />
        <result property="businessScope" column="businessScope" />
        <result property="businessAdress" column="businessAdress" />
        <result property="location" column="location" />
        <result property="areaCode" column="areaCode" />
        <result property="areaName" column="areaName" />
        <result property="contactPhone" column="contactPhone" />
        <result property="email" column="email" />
        <result property="website" column="website" />
        <result property="taxRegistrationNumber" column="taxRegistrationNumber" />
        <result property="socialCreditCode" column="socialCreditCode" />
        <result property="trademarkInfo" column="trademarkInfo" />
        <result property="websiteRegistrationInfo" column="websiteRegistrationInfo" />
        <result property="totalEmployees" column="totalEmployees" />
        <result property="softNum" column="softNum" />
        <result property="patentNum" column="patentNum" />
        <result property="hisDevelop" column="hisDevelop" />
        <result property="lon" column="lon" />
        <result property="lati" column="lati" />
        <result property="logoPath" column="logoPath" />
        <result property="companyVideoPath" column="companyVideoPath" />
        <result property="companyPicPath" column="companyPicPath" />
        <result property="companyIntroduction" column="companyIntroduction" />
        <result property="companyCulture" column="companyCulture" />
        <result property="sort" column="sort" />
        <result property="establishDate" column="establishDate" />
        <result property="remark" column="remark" />
        <result property="createUserId" column="createUserId" />
        <result property="createTime" column="createTime" />
        <result property="updateUserId" column="updateUserId" />
        <result property="updateTime" column="updateTime" />
        <result property="background" column="background" />
    </resultMap>

    <!-- 表所有列 -->
    <sql id="_columns">
        <trim suffixOverrides="," suffix="">
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('id') or colPickMode == 1 and data.containsKey('id')))">
                a.id,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('companyName') or colPickMode == 1 and data.containsKey('companyName')))">
                a.companyName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('companyCode') or colPickMode == 1 and data.containsKey('companyCode')))">
                a.companyCode,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('registrationNumber') or colPickMode == 1 and data.containsKey('registrationNumber')))">
                a.registrationNumber,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('legalRepresentative') or colPickMode == 1 and data.containsKey('legalRepresentative')))">
                a.legalRepresentative,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('registeredCapital') or colPickMode == 1 and data.containsKey('registeredCapital')))">
                a.registeredCapital,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('companyType') or colPickMode == 1 and data.containsKey('companyType')))">
                a.companyType,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('businessScope') or colPickMode == 1 and data.containsKey('businessScope')))">
                a.businessScope,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('businessAdress') or colPickMode == 1 and data.containsKey('businessAdress')))">
                a.businessAdress,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('location') or colPickMode == 1 and data.containsKey('location')))">
                a.location,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('areaCode') or colPickMode == 1 and data.containsKey('areaCode')))">
                a.areaCode,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('areaName') or colPickMode == 1 and data.containsKey('areaName')))">
                a.areaName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('contactPhone') or colPickMode == 1 and data.containsKey('contactPhone')))">
                a.contactPhone,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('email') or colPickMode == 1 and data.containsKey('email')))">
                a.email,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('website') or colPickMode == 1 and data.containsKey('website')))">
                a.website,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('taxRegistrationNumber') or colPickMode == 1 and data.containsKey('taxRegistrationNumber')))">
                a.taxRegistrationNumber,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('socialCreditCode') or colPickMode == 1 and data.containsKey('socialCreditCode')))">
                a.socialCreditCode,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('trademarkInfo') or colPickMode == 1 and data.containsKey('trademarkInfo')))">
                a.trademarkInfo,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('websiteRegistrationInfo') or colPickMode == 1 and data.containsKey('websiteRegistrationInfo')))">
                a.websiteRegistrationInfo,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('totalEmployees') or colPickMode == 1 and data.containsKey('totalEmployees')))">
                a.totalEmployees,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('softNum') or colPickMode == 1 and data.containsKey('softNum')))">
                a.softNum,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('patentNum') or colPickMode == 1 and data.containsKey('patentNum')))">
                a.patentNum,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('hisDevelop') or colPickMode == 1 and data.containsKey('hisDevelop')))">
                a.hisDevelop,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('lon') or colPickMode == 1 and data.containsKey('lon')))">
                a.lon,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('lati') or colPickMode == 1 and data.containsKey('lati')))">
                a.lati,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('logoPath') or colPickMode == 1 and data.containsKey('logoPath')))">
                a.logoPath,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('companyVideoPath') or colPickMode == 1 and data.containsKey('companyVideoPath')))">
                a.companyVideoPath,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('companyPicPath') or colPickMode == 1 and data.containsKey('companyPicPath')))">
                a.companyPicPath,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('companyIntroduction') or colPickMode == 1 and data.containsKey('companyIntroduction')))">
                a.companyIntroduction,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('companyCulture') or colPickMode == 1 and data.containsKey('companyCulture')))">
                a.companyCulture,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('sort') or colPickMode == 1 and data.containsKey('sort')))">
                a.sort,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('establishDate') or colPickMode == 1 and data.containsKey('establishDate')))">
                a.establishDate,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('remark') or colPickMode == 1 and data.containsKey('remark')))">
                a.remark,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('createUserId') or colPickMode == 1 and data.containsKey('createUserId')))">
                a.createUserId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('createTime') or colPickMode == 1 and data.containsKey('createTime')))">
                a.createTime,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('updateUserId') or colPickMode == 1 and data.containsKey('updateUserId')))">
                a.updateUserId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('updateTime') or colPickMode == 1 and data.containsKey('updateTime')))">
                a.updateTime,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('background') or colPickMode == 1 and data.containsKey('background')))">
                a.background,
            </if>
        </trim>
    </sql>
    <!-- 子表所有列 -->
    <sql id="_columns_sub">
        <trim suffixOverrides="," suffix="">
            b.id,b.labelId,b.labelName,b.companyId,b.companyName,b.remark,b.createUserId,b.createTime,b.updateUserId,b.updateTime,
        </trim>
    </sql>
    <!-- 新增 区分主键自增加还是业务插入 -->
    <insert id="insert" parameterType="CompanyEntity"  useGeneratedKeys="true" keyProperty="id">
        insert into mortals_xhx_company
        (companyName,companyCode,registrationNumber,legalRepresentative,registeredCapital,companyType,businessScope,businessAdress,location,areaCode,areaName,contactPhone,email,website,taxRegistrationNumber,socialCreditCode,trademarkInfo,websiteRegistrationInfo,totalEmployees,softNum,patentNum,hisDevelop,lon,lati,logoPath,companyVideoPath,companyPicPath,companyIntroduction,companyCulture,sort,establishDate,remark,createUserId,createTime,updateUserId,updateTime,background)
        VALUES
        (#{companyName},#{companyCode},#{registrationNumber},#{legalRepresentative},#{registeredCapital},#{companyType},#{businessScope},#{businessAdress},#{location},#{areaCode},#{areaName},#{contactPhone},#{email},#{website},#{taxRegistrationNumber},#{socialCreditCode},#{trademarkInfo},#{websiteRegistrationInfo},#{totalEmployees},#{softNum},#{patentNum},#{hisDevelop},#{lon},#{lati},#{logoPath},#{companyVideoPath},#{companyPicPath},#{companyIntroduction},#{companyCulture},#{sort},#{establishDate},#{remark},#{createUserId},#{createTime},#{updateUserId},#{updateTime},#{background})
    </insert>

    <!-- 批量新增 -->
    <insert id="insertBatch" parameterType="paramDto">
        insert into mortals_xhx_company
        (companyName,companyCode,registrationNumber,legalRepresentative,registeredCapital,companyType,businessScope,businessAdress,location,areaCode,areaName,contactPhone,email,website,taxRegistrationNumber,socialCreditCode,trademarkInfo,websiteRegistrationInfo,totalEmployees,softNum,patentNum,hisDevelop,lon,lati,logoPath,companyVideoPath,companyPicPath,companyIntroduction,companyCulture,sort,establishDate,remark,createUserId,createTime,updateUserId,updateTime,background)
        VALUES
        <foreach collection="data.dataList" item="item" index="index" separator="," >
            (#{item.companyName},#{item.companyCode},#{item.registrationNumber},#{item.legalRepresentative},#{item.registeredCapital},#{item.companyType},#{item.businessScope},#{item.businessAdress},#{item.location},#{item.areaCode},#{item.areaName},#{item.contactPhone},#{item.email},#{item.website},#{item.taxRegistrationNumber},#{item.socialCreditCode},#{item.trademarkInfo},#{item.websiteRegistrationInfo},#{item.totalEmployees},#{item.softNum},#{item.patentNum},#{item.hisDevelop},#{item.lon},#{item.lati},#{item.logoPath},#{item.companyVideoPath},#{item.companyPicPath},#{item.companyIntroduction},#{item.companyCulture},#{item.sort},#{item.establishDate},#{item.remark},#{item.createUserId},#{item.createTime},#{item.updateUserId},#{item.updateTime},#{item.background})
        </foreach>
    </insert>


    <!-- 根据ParamDto更新 -->
    <update id="update" parameterType="paramDto">
        update mortals_xhx_company as a
        set
        <trim suffixOverrides="," suffix="">
            <if test="(colPickMode==0 and data.containsKey('companyName')) or (colPickMode==1 and !data.containsKey('companyName'))">
                a.companyName=#{data.companyName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('companyCode')) or (colPickMode==1 and !data.containsKey('companyCode'))">
                a.companyCode=#{data.companyCode},
            </if>
            <if test="(colPickMode==0 and data.containsKey('registrationNumber')) or (colPickMode==1 and !data.containsKey('registrationNumber'))">
                a.registrationNumber=#{data.registrationNumber},
            </if>
            <if test="(colPickMode==0 and data.containsKey('legalRepresentative')) or (colPickMode==1 and !data.containsKey('legalRepresentative'))">
                a.legalRepresentative=#{data.legalRepresentative},
            </if>
            <if test="(colPickMode==0 and data.containsKey('registeredCapital')) or (colPickMode==1 and !data.containsKey('registeredCapital'))">
                a.registeredCapital=#{data.registeredCapital},
            </if>
            <if test="(colPickMode==0 and data.containsKey('companyType')) or (colPickMode==1 and !data.containsKey('companyType'))">
                a.companyType=#{data.companyType},
            </if>
            <if test="(colPickMode==0 and data.containsKey('businessScope')) or (colPickMode==1 and !data.containsKey('businessScope'))">
                a.businessScope=#{data.businessScope},
            </if>
            <if test="(colPickMode==0 and data.containsKey('businessAdress')) or (colPickMode==1 and !data.containsKey('businessAdress'))">
                a.businessAdress=#{data.businessAdress},
            </if>
            <if test="(colPickMode==0 and data.containsKey('location')) or (colPickMode==1 and !data.containsKey('location'))">
                a.location=#{data.location},
            </if>
            <if test="(colPickMode==0 and data.containsKey('areaCode')) or (colPickMode==1 and !data.containsKey('areaCode'))">
                a.areaCode=#{data.areaCode},
            </if>
            <if test="(colPickMode==0 and data.containsKey('areaName')) or (colPickMode==1 and !data.containsKey('areaName'))">
                a.areaName=#{data.areaName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('contactPhone')) or (colPickMode==1 and !data.containsKey('contactPhone'))">
                a.contactPhone=#{data.contactPhone},
            </if>
            <if test="(colPickMode==0 and data.containsKey('email')) or (colPickMode==1 and !data.containsKey('email'))">
                a.email=#{data.email},
            </if>
            <if test="(colPickMode==0 and data.containsKey('website')) or (colPickMode==1 and !data.containsKey('website'))">
                a.website=#{data.website},
            </if>
            <if test="(colPickMode==0 and data.containsKey('taxRegistrationNumber')) or (colPickMode==1 and !data.containsKey('taxRegistrationNumber'))">
                a.taxRegistrationNumber=#{data.taxRegistrationNumber},
            </if>
            <if test="(colPickMode==0 and data.containsKey('socialCreditCode')) or (colPickMode==1 and !data.containsKey('socialCreditCode'))">
                a.socialCreditCode=#{data.socialCreditCode},
            </if>
            <if test="(colPickMode==0 and data.containsKey('trademarkInfo')) or (colPickMode==1 and !data.containsKey('trademarkInfo'))">
                a.trademarkInfo=#{data.trademarkInfo},
            </if>
            <if test="(colPickMode==0 and data.containsKey('websiteRegistrationInfo')) or (colPickMode==1 and !data.containsKey('websiteRegistrationInfo'))">
                a.websiteRegistrationInfo=#{data.websiteRegistrationInfo},
            </if>
            <if test="(colPickMode==0 and data.containsKey('totalEmployees')) or (colPickMode==1 and !data.containsKey('totalEmployees'))">
                a.totalEmployees=#{data.totalEmployees},
            </if>
            <if test="(colPickMode==0 and data.containsKey('totalEmployeesIncrement')) or (colPickMode==1 and !data.containsKey('totalEmployeesIncrement'))">
                a.totalEmployees=ifnull(a.totalEmployees,0) + #{data.totalEmployeesIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('softNum')) or (colPickMode==1 and !data.containsKey('softNum'))">
                a.softNum=#{data.softNum},
            </if>
            <if test="(colPickMode==0 and data.containsKey('softNumIncrement')) or (colPickMode==1 and !data.containsKey('softNumIncrement'))">
                a.softNum=ifnull(a.softNum,0) + #{data.softNumIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('patentNum')) or (colPickMode==1 and !data.containsKey('patentNum'))">
                a.patentNum=#{data.patentNum},
            </if>
            <if test="(colPickMode==0 and data.containsKey('patentNumIncrement')) or (colPickMode==1 and !data.containsKey('patentNumIncrement'))">
                a.patentNum=ifnull(a.patentNum,0) + #{data.patentNumIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('hisDevelop')) or (colPickMode==1 and !data.containsKey('hisDevelop'))">
                a.hisDevelop=#{data.hisDevelop},
            </if>
            <if test="(colPickMode==0 and data.containsKey('lon')) or (colPickMode==1 and !data.containsKey('lon'))">
                a.lon=#{data.lon},
            </if>
            <if test="(colPickMode==0 and data.containsKey('lati')) or (colPickMode==1 and !data.containsKey('lati'))">
                a.lati=#{data.lati},
            </if>
            <if test="(colPickMode==0 and data.containsKey('logoPath')) or (colPickMode==1 and !data.containsKey('logoPath'))">
                a.logoPath=#{data.logoPath},
            </if>
            <if test="(colPickMode==0 and data.containsKey('companyVideoPath')) or (colPickMode==1 and !data.containsKey('companyVideoPath'))">
                a.companyVideoPath=#{data.companyVideoPath},
            </if>
            <if test="(colPickMode==0 and data.containsKey('companyPicPath')) or (colPickMode==1 and !data.containsKey('companyPicPath'))">
                a.companyPicPath=#{data.companyPicPath},
            </if>
            <if test="(colPickMode==0 and data.containsKey('companyIntroduction')) or (colPickMode==1 and !data.containsKey('companyIntroduction'))">
                a.companyIntroduction=#{data.companyIntroduction},
            </if>
            <if test="(colPickMode==0 and data.containsKey('companyCulture')) or (colPickMode==1 and !data.containsKey('companyCulture'))">
                a.companyCulture=#{data.companyCulture},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sort')) or (colPickMode==1 and !data.containsKey('sort'))">
                a.sort=#{data.sort},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sortIncrement')) or (colPickMode==1 and !data.containsKey('sortIncrement'))">
                a.sort=ifnull(a.sort,0) + #{data.sortIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('establishDate')) or (colPickMode==1 and !data.containsKey('establishDate'))">
                a.establishDate=#{data.establishDate},
            </if>
            <if test="(colPickMode==0 and data.containsKey('remark')) or (colPickMode==1 and !data.containsKey('remark'))">
                a.remark=#{data.remark},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createUserId')) or (colPickMode==1 and !data.containsKey('createUserId'))">
                a.createUserId=#{data.createUserId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createUserIdIncrement')) or (colPickMode==1 and !data.containsKey('createUserIdIncrement'))">
                a.createUserId=ifnull(a.createUserId,0) + #{data.createUserIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createTime')) or (colPickMode==1 and !data.containsKey('createTime'))">
                a.createTime=#{data.createTime},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateUserId')) or (colPickMode==1 and !data.containsKey('updateUserId'))">
                a.updateUserId=#{data.updateUserId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateUserIdIncrement')) or (colPickMode==1 and !data.containsKey('updateUserIdIncrement'))">
                a.updateUserId=ifnull(a.updateUserId,0) + #{data.updateUserIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateTime')) or (colPickMode==1 and !data.containsKey('updateTime'))">
                a.updateTime=#{data.updateTime},
            </if>
            <if test="(colPickMode==0 and data.containsKey('background')) or (colPickMode==1 and !data.containsKey('background'))">
                a.background=#{data.background},
            </if>
        </trim>
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </update>
    <!-- 批量更新 -->
    <update id="updateBatch" parameterType="paramDto">
        update mortals_xhx_company as a
        <trim prefix="set" suffixOverrides=",">
            <trim prefix="companyName=(case" suffix="ELSE companyName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('companyName')) or (colPickMode==1 and !item.containsKey('companyName'))">
                        when a.id=#{item.id} then #{item.companyName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="companyCode=(case" suffix="ELSE companyCode end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('companyCode')) or (colPickMode==1 and !item.containsKey('companyCode'))">
                        when a.id=#{item.id} then #{item.companyCode}
                    </if>
                </foreach>
            </trim>
            <trim prefix="registrationNumber=(case" suffix="ELSE registrationNumber end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('registrationNumber')) or (colPickMode==1 and !item.containsKey('registrationNumber'))">
                        when a.id=#{item.id} then #{item.registrationNumber}
                    </if>
                </foreach>
            </trim>
            <trim prefix="legalRepresentative=(case" suffix="ELSE legalRepresentative end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('legalRepresentative')) or (colPickMode==1 and !item.containsKey('legalRepresentative'))">
                        when a.id=#{item.id} then #{item.legalRepresentative}
                    </if>
                </foreach>
            </trim>
            <trim prefix="registeredCapital=(case" suffix="ELSE registeredCapital end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('registeredCapital')) or (colPickMode==1 and !item.containsKey('registeredCapital'))">
                        when a.id=#{item.id} then #{item.registeredCapital}
                    </if>
                </foreach>
            </trim>
            <trim prefix="companyType=(case" suffix="ELSE companyType end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('companyType')) or (colPickMode==1 and !item.containsKey('companyType'))">
                        when a.id=#{item.id} then #{item.companyType}
                    </if>
                </foreach>
            </trim>
            <trim prefix="businessScope=(case" suffix="ELSE businessScope end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('businessScope')) or (colPickMode==1 and !item.containsKey('businessScope'))">
                        when a.id=#{item.id} then #{item.businessScope}
                    </if>
                </foreach>
            </trim>
            <trim prefix="businessAdress=(case" suffix="ELSE businessAdress end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('businessAdress')) or (colPickMode==1 and !item.containsKey('businessAdress'))">
                        when a.id=#{item.id} then #{item.businessAdress}
                    </if>
                </foreach>
            </trim>
            <trim prefix="location=(case" suffix="ELSE location end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('location')) or (colPickMode==1 and !item.containsKey('location'))">
                        when a.id=#{item.id} then #{item.location}
                    </if>
                </foreach>
            </trim>
            <trim prefix="areaCode=(case" suffix="ELSE areaCode end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('areaCode')) or (colPickMode==1 and !item.containsKey('areaCode'))">
                        when a.id=#{item.id} then #{item.areaCode}
                    </if>
                </foreach>
            </trim>
            <trim prefix="areaName=(case" suffix="ELSE areaName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('areaName')) or (colPickMode==1 and !item.containsKey('areaName'))">
                        when a.id=#{item.id} then #{item.areaName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="contactPhone=(case" suffix="ELSE contactPhone end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('contactPhone')) or (colPickMode==1 and !item.containsKey('contactPhone'))">
                        when a.id=#{item.id} then #{item.contactPhone}
                    </if>
                </foreach>
            </trim>
            <trim prefix="email=(case" suffix="ELSE email end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('email')) or (colPickMode==1 and !item.containsKey('email'))">
                        when a.id=#{item.id} then #{item.email}
                    </if>
                </foreach>
            </trim>
            <trim prefix="website=(case" suffix="ELSE website end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('website')) or (colPickMode==1 and !item.containsKey('website'))">
                        when a.id=#{item.id} then #{item.website}
                    </if>
                </foreach>
            </trim>
            <trim prefix="taxRegistrationNumber=(case" suffix="ELSE taxRegistrationNumber end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('taxRegistrationNumber')) or (colPickMode==1 and !item.containsKey('taxRegistrationNumber'))">
                        when a.id=#{item.id} then #{item.taxRegistrationNumber}
                    </if>
                </foreach>
            </trim>
            <trim prefix="socialCreditCode=(case" suffix="ELSE socialCreditCode end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('socialCreditCode')) or (colPickMode==1 and !item.containsKey('socialCreditCode'))">
                        when a.id=#{item.id} then #{item.socialCreditCode}
                    </if>
                </foreach>
            </trim>
            <trim prefix="trademarkInfo=(case" suffix="ELSE trademarkInfo end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('trademarkInfo')) or (colPickMode==1 and !item.containsKey('trademarkInfo'))">
                        when a.id=#{item.id} then #{item.trademarkInfo}
                    </if>
                </foreach>
            </trim>
            <trim prefix="websiteRegistrationInfo=(case" suffix="ELSE websiteRegistrationInfo end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('websiteRegistrationInfo')) or (colPickMode==1 and !item.containsKey('websiteRegistrationInfo'))">
                        when a.id=#{item.id} then #{item.websiteRegistrationInfo}
                    </if>
                </foreach>
            </trim>
            <trim prefix="totalEmployees=(case" suffix="ELSE totalEmployees end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('totalEmployees')) or (colPickMode==1 and !item.containsKey('totalEmployees'))">
                            when a.id=#{item.id} then #{item.totalEmployees}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('totalEmployeesIncrement')) or (colPickMode==1 and !item.containsKey('totalEmployeesIncrement'))">
                            when a.id=#{item.id} then ifnull(a.totalEmployees,0) + #{item.totalEmployeesIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="softNum=(case" suffix="ELSE softNum end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('softNum')) or (colPickMode==1 and !item.containsKey('softNum'))">
                            when a.id=#{item.id} then #{item.softNum}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('softNumIncrement')) or (colPickMode==1 and !item.containsKey('softNumIncrement'))">
                            when a.id=#{item.id} then ifnull(a.softNum,0) + #{item.softNumIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="patentNum=(case" suffix="ELSE patentNum end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('patentNum')) or (colPickMode==1 and !item.containsKey('patentNum'))">
                            when a.id=#{item.id} then #{item.patentNum}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('patentNumIncrement')) or (colPickMode==1 and !item.containsKey('patentNumIncrement'))">
                            when a.id=#{item.id} then ifnull(a.patentNum,0) + #{item.patentNumIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="hisDevelop=(case" suffix="ELSE hisDevelop end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('hisDevelop')) or (colPickMode==1 and !item.containsKey('hisDevelop'))">
                        when a.id=#{item.id} then #{item.hisDevelop}
                    </if>
                </foreach>
            </trim>
            <trim prefix="lon=(case" suffix="ELSE lon end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('lon')) or (colPickMode==1 and !item.containsKey('lon'))">
                        when a.id=#{item.id} then #{item.lon}
                    </if>
                </foreach>
            </trim>
            <trim prefix="lati=(case" suffix="ELSE lati end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('lati')) or (colPickMode==1 and !item.containsKey('lati'))">
                        when a.id=#{item.id} then #{item.lati}
                    </if>
                </foreach>
            </trim>
            <trim prefix="logoPath=(case" suffix="ELSE logoPath end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('logoPath')) or (colPickMode==1 and !item.containsKey('logoPath'))">
                        when a.id=#{item.id} then #{item.logoPath}
                    </if>
                </foreach>
            </trim>
            <trim prefix="companyVideoPath=(case" suffix="ELSE companyVideoPath end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('companyVideoPath')) or (colPickMode==1 and !item.containsKey('companyVideoPath'))">
                        when a.id=#{item.id} then #{item.companyVideoPath}
                    </if>
                </foreach>
            </trim>
            <trim prefix="companyPicPath=(case" suffix="ELSE companyPicPath end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('companyPicPath')) or (colPickMode==1 and !item.containsKey('companyPicPath'))">
                        when a.id=#{item.id} then #{item.companyPicPath}
                    </if>
                </foreach>
            </trim>
            <trim prefix="companyIntroduction=(case" suffix="ELSE companyIntroduction end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('companyIntroduction')) or (colPickMode==1 and !item.containsKey('companyIntroduction'))">
                        when a.id=#{item.id} then #{item.companyIntroduction}
                    </if>
                </foreach>
            </trim>
            <trim prefix="companyCulture=(case" suffix="ELSE companyCulture end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('companyCulture')) or (colPickMode==1 and !item.containsKey('companyCulture'))">
                        when a.id=#{item.id} then #{item.companyCulture}
                    </if>
                </foreach>
            </trim>
            <trim prefix="sort=(case" suffix="ELSE sort end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('sort')) or (colPickMode==1 and !item.containsKey('sort'))">
                            when a.id=#{item.id} then #{item.sort}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('sortIncrement')) or (colPickMode==1 and !item.containsKey('sortIncrement'))">
                            when a.id=#{item.id} then ifnull(a.sort,0) + #{item.sortIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="establishDate=(case" suffix="ELSE establishDate end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('establishDate')) or (colPickMode==1 and !item.containsKey('establishDate'))">
                        when a.id=#{item.id} then #{item.establishDate}
                    </if>
                </foreach>
            </trim>
            <trim prefix="remark=(case" suffix="ELSE remark end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('remark')) or (colPickMode==1 and !item.containsKey('remark'))">
                        when a.id=#{item.id} then #{item.remark}
                    </if>
                </foreach>
            </trim>
            <trim prefix="createUserId=(case" suffix="ELSE createUserId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('createUserId')) or (colPickMode==1 and !item.containsKey('createUserId'))">
                            when a.id=#{item.id} then #{item.createUserId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('createUserIdIncrement')) or (colPickMode==1 and !item.containsKey('createUserIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.createUserId,0) + #{item.createUserIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="createTime=(case" suffix="ELSE createTime end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('createTime')) or (colPickMode==1 and !item.containsKey('createTime'))">
                        when a.id=#{item.id} then #{item.createTime}
                    </if>
                </foreach>
            </trim>
            <trim prefix="updateUserId=(case" suffix="ELSE updateUserId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('updateUserId')) or (colPickMode==1 and !item.containsKey('updateUserId'))">
                            when a.id=#{item.id} then #{item.updateUserId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('updateUserIdIncrement')) or (colPickMode==1 and !item.containsKey('updateUserIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.updateUserId,0) + #{item.updateUserIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="updateTime=(case" suffix="ELSE updateTime end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('updateTime')) or (colPickMode==1 and !item.containsKey('updateTime'))">
                        when a.id=#{item.id} then #{item.updateTime}
                    </if>
                </foreach>
            </trim>
            <trim prefix="background=(case" suffix="ELSE background end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('background')) or (colPickMode==1 and !item.containsKey('background'))">
                        when a.id=#{item.id} then #{item.background}
                    </if>
                </foreach>
            </trim>
        </trim>
        where id in
        <foreach collection="data.dataList" item="item" index="index" open="(" separator="," close=")">
            #{item.id}
        </foreach>
    </update>
    <!-- 根据主健查询 -->
    <select id="getByKey" parameterType="paramDto" resultMap="CompanyEntity-Map">
        select <include refid="_columns"/>
        from mortals_xhx_company as a
        where a.id=#{condition.id}
    </select>
    <!-- 根据主健删除 -->
    <delete id="deleteByKey" parameterType="paramDto">
        delete a.* from mortals_xhx_company as a where a.id=#{condition.id}
    </delete>
    <!-- 根据主健删除一批，针对单一主健有效 -->
    <delete id="deleteByKeys">
        delete from mortals_xhx_company where id in
        <foreach collection="array" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>
    <!-- 根据主健列表删除一批，针对单一主健有效 -->
    <delete id="deleteByKeyList">
        delete from mortals_xhx_company where id in
        <foreach collection="list" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>

    <!-- 根据对象列表删除一批，针对单一主健有效 -->
    <delete id="deleteByEntityList">
        delete from mortals_xhx_company where id in
        <foreach collection="list" item="item" index="index" open="(" separator="," close=")">
            #{item.id}
        </foreach>
    </delete>
    <!-- 根据paramDto删除一批 -->
    <delete id="deleteByMap" parameterType="paramDto">
        delete a.* from mortals_xhx_company as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </delete>
    <!-- 获取列表 -->
    <select id="getList" parameterType="paramDto" resultMap="CompanyEntity-Map">
        select <include refid="_columns"/>
        from mortals_xhx_company as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
        <include refid="_orderCols_"/>
    </select>
    <!-- 获取子列表 -->



    <!-- 获取 -->
    <select id="getListCount" parameterType="paramDto" resultType="int">
        select count(1)
        from mortals_xhx_company as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </select>
    <!-- 条件映射 -->
    <sql id="_condition_">
        <if test="condition != null and !condition.isEmpty()">
            <!-- 条件映射-普通条件 -->
            <include refid="_condition_param_">
                <property name="_conditionParam_" value="condition"/>
                <property name="_conditionType_" value="and"/>
            </include>
            <!-- 条件映射-集合之间使用AND，集合中元素使用OR-(list[0].1 or list[0].2) and (list[1].3 or list[1].4) -->
            <if test="condition.containsKey('andConditionList') and !condition.andConditionList.isEmpty()">
                and
                <foreach collection="condition.andConditionList" open="(" close=")" index="index" item="andCondition" separator=" and ">
                    <trim prefixOverrides="or" prefix="(" suffix=")">
                        <include refid="_condition_param_">
                            <property name="_conditionParam_" value="andCondition"/>
                            <property name="_conditionType_" value="or"/>
                        </include>
                    </trim>
                </foreach>
            </if>
            <!-- 条件映射-集合之间使用OR，集合中元素使用AND-(list[0].1 and list[0].2) or (list[1].3 and list[1].4) -->
            <if test="condition.containsKey('orConditionList') and !condition.orConditionList.isEmpty()">
                and
                <foreach collection="condition.orConditionList" open="(" close=")" index="index" item="orCondition" separator=" or ">
                    <trim prefixOverrides="and" prefix="(" suffix=")">
                        <include refid="_condition_param_">
                            <property name="_conditionParam_" value="orCondition"/>
                            <property name="_conditionType_" value="and"/>
                        </include>
                    </trim>
                </foreach>
            </if>
        </if>
    </sql>
    <!-- 条件映射-代参数 -->
    <sql id="_condition_param_">
        <bind name="conditionParamRef" value="${_conditionParam_}"/>
        <if test="permissionSql != null and permissionSql != ''">
            ${permissionSql}
        </if>

        <if test="conditionParamRef.containsKey('id')">
            <if test="conditionParamRef.id != null">
                ${_conditionType_} a.id=#{${_conditionParam_}.id}
            </if>
        </if>
        <if test="conditionParamRef.containsKey('id')">
            <if test="conditionParamRef.id != null ">
                ${_conditionType_} a.id = #{${_conditionParam_}.id}
            </if>
            <if test="conditionParamRef.id == null">
                ${_conditionType_} a.id is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
            ${_conditionType_} a.id in
            <foreach collection="conditionParamRef.idList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('idNotList') and conditionParamRef.idNotList.size() > 0">
            ${_conditionType_} a.id not in
            <foreach collection="conditionParamRef.idNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('idStart') and conditionParamRef.idStart != null">
            ${_conditionType_} a.id <![CDATA[ >= ]]> #{${_conditionParam_}.idStart}
        </if>
        <if test="conditionParamRef.containsKey('idEnd') and conditionParamRef.idEnd != null">
            ${_conditionType_} a.id <![CDATA[ <= ]]> #{${_conditionParam_}.idEnd}
        </if>


        <if test="conditionParamRef.containsKey('companyName')">
            <if test="conditionParamRef.companyName != null and conditionParamRef.companyName != ''">
                ${_conditionType_} a.companyName like #{${_conditionParam_}.companyName}
            </if>
            <if test="conditionParamRef.companyName == null">
                ${_conditionType_} a.companyName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('companyNameList') and conditionParamRef.companyNameList.size() > 0">
            ${_conditionType_} a.companyName in
            <foreach collection="conditionParamRef.companyNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('companyNameNotList') and conditionParamRef.companyNameNotList.size() > 0">
            ${_conditionType_} a.companyName not in
            <foreach collection="conditionParamRef.companyNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('companyCode')">
            <if test="conditionParamRef.companyCode != null and conditionParamRef.companyCode != ''">
                ${_conditionType_} a.companyCode like #{${_conditionParam_}.companyCode}
            </if>
            <if test="conditionParamRef.companyCode == null">
                ${_conditionType_} a.companyCode is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('companyCodeList') and conditionParamRef.companyCodeList.size() > 0">
            ${_conditionType_} a.companyCode in
            <foreach collection="conditionParamRef.companyCodeList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('companyCodeNotList') and conditionParamRef.companyCodeNotList.size() > 0">
            ${_conditionType_} a.companyCode not in
            <foreach collection="conditionParamRef.companyCodeNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('registrationNumber')">
            <if test="conditionParamRef.registrationNumber != null and conditionParamRef.registrationNumber != ''">
                ${_conditionType_} a.registrationNumber like #{${_conditionParam_}.registrationNumber}
            </if>
            <if test="conditionParamRef.registrationNumber == null">
                ${_conditionType_} a.registrationNumber is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('registrationNumberList') and conditionParamRef.registrationNumberList.size() > 0">
            ${_conditionType_} a.registrationNumber in
            <foreach collection="conditionParamRef.registrationNumberList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('registrationNumberNotList') and conditionParamRef.registrationNumberNotList.size() > 0">
            ${_conditionType_} a.registrationNumber not in
            <foreach collection="conditionParamRef.registrationNumberNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('legalRepresentative')">
            <if test="conditionParamRef.legalRepresentative != null and conditionParamRef.legalRepresentative != ''">
                ${_conditionType_} a.legalRepresentative like #{${_conditionParam_}.legalRepresentative}
            </if>
            <if test="conditionParamRef.legalRepresentative == null">
                ${_conditionType_} a.legalRepresentative is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('legalRepresentativeList') and conditionParamRef.legalRepresentativeList.size() > 0">
            ${_conditionType_} a.legalRepresentative in
            <foreach collection="conditionParamRef.legalRepresentativeList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('legalRepresentativeNotList') and conditionParamRef.legalRepresentativeNotList.size() > 0">
            ${_conditionType_} a.legalRepresentative not in
            <foreach collection="conditionParamRef.legalRepresentativeNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('registeredCapital')">
            <if test="conditionParamRef.registeredCapital != null and conditionParamRef.registeredCapital != ''">
                ${_conditionType_} a.registeredCapital like #{${_conditionParam_}.registeredCapital}
            </if>
            <if test="conditionParamRef.registeredCapital == null">
                ${_conditionType_} a.registeredCapital is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('registeredCapitalList') and conditionParamRef.registeredCapitalList.size() > 0">
            ${_conditionType_} a.registeredCapital in
            <foreach collection="conditionParamRef.registeredCapitalList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('registeredCapitalNotList') and conditionParamRef.registeredCapitalNotList.size() > 0">
            ${_conditionType_} a.registeredCapital not in
            <foreach collection="conditionParamRef.registeredCapitalNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('companyType')">
            <if test="conditionParamRef.companyType != null and conditionParamRef.companyType != ''">
                ${_conditionType_} a.companyType like #{${_conditionParam_}.companyType}
            </if>
            <if test="conditionParamRef.companyType == null">
                ${_conditionType_} a.companyType is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('companyTypeList') and conditionParamRef.companyTypeList.size() > 0">
            ${_conditionType_} a.companyType in
            <foreach collection="conditionParamRef.companyTypeList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('companyTypeNotList') and conditionParamRef.companyTypeNotList.size() > 0">
            ${_conditionType_} a.companyType not in
            <foreach collection="conditionParamRef.companyTypeNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('businessScope')">
            <if test="conditionParamRef.businessScope != null and conditionParamRef.businessScope != ''">
                ${_conditionType_} a.businessScope like #{${_conditionParam_}.businessScope}
            </if>
            <if test="conditionParamRef.businessScope == null">
                ${_conditionType_} a.businessScope is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('businessScopeList') and conditionParamRef.businessScopeList.size() > 0">
            ${_conditionType_} a.businessScope in
            <foreach collection="conditionParamRef.businessScopeList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('businessScopeNotList') and conditionParamRef.businessScopeNotList.size() > 0">
            ${_conditionType_} a.businessScope not in
            <foreach collection="conditionParamRef.businessScopeNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('businessAdress')">
            <if test="conditionParamRef.businessAdress != null and conditionParamRef.businessAdress != ''">
                ${_conditionType_} a.businessAdress like #{${_conditionParam_}.businessAdress}
            </if>
            <if test="conditionParamRef.businessAdress == null">
                ${_conditionType_} a.businessAdress is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('businessAdressList') and conditionParamRef.businessAdressList.size() > 0">
            ${_conditionType_} a.businessAdress in
            <foreach collection="conditionParamRef.businessAdressList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('businessAdressNotList') and conditionParamRef.businessAdressNotList.size() > 0">
            ${_conditionType_} a.businessAdress not in
            <foreach collection="conditionParamRef.businessAdressNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('location')">
            <if test="conditionParamRef.location != null and conditionParamRef.location != ''">
                ${_conditionType_} a.location like #{${_conditionParam_}.location}
            </if>
            <if test="conditionParamRef.location == null">
                ${_conditionType_} a.location is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('locationList') and conditionParamRef.locationList.size() > 0">
            ${_conditionType_} a.location in
            <foreach collection="conditionParamRef.locationList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('locationNotList') and conditionParamRef.locationNotList.size() > 0">
            ${_conditionType_} a.location not in
            <foreach collection="conditionParamRef.locationNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('areaCode')">
            <if test="conditionParamRef.areaCode != null and conditionParamRef.areaCode != ''">
                ${_conditionType_} a.areaCode like #{${_conditionParam_}.areaCode}
            </if>
            <if test="conditionParamRef.areaCode == null">
                ${_conditionType_} a.areaCode is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('areaCodeList') and conditionParamRef.areaCodeList.size() > 0">
            ${_conditionType_} a.areaCode in
            <foreach collection="conditionParamRef.areaCodeList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('areaCodeNotList') and conditionParamRef.areaCodeNotList.size() > 0">
            ${_conditionType_} a.areaCode not in
            <foreach collection="conditionParamRef.areaCodeNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('areaName')">
            <if test="conditionParamRef.areaName != null and conditionParamRef.areaName != ''">
                ${_conditionType_} a.areaName like #{${_conditionParam_}.areaName}
            </if>
            <if test="conditionParamRef.areaName == null">
                ${_conditionType_} a.areaName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('areaNameList') and conditionParamRef.areaNameList.size() > 0">
            ${_conditionType_} a.areaName in
            <foreach collection="conditionParamRef.areaNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('areaNameNotList') and conditionParamRef.areaNameNotList.size() > 0">
            ${_conditionType_} a.areaName not in
            <foreach collection="conditionParamRef.areaNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('contactPhone')">
            <if test="conditionParamRef.contactPhone != null and conditionParamRef.contactPhone != ''">
                ${_conditionType_} a.contactPhone like #{${_conditionParam_}.contactPhone}
            </if>
            <if test="conditionParamRef.contactPhone == null">
                ${_conditionType_} a.contactPhone is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('contactPhoneList') and conditionParamRef.contactPhoneList.size() > 0">
            ${_conditionType_} a.contactPhone in
            <foreach collection="conditionParamRef.contactPhoneList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('contactPhoneNotList') and conditionParamRef.contactPhoneNotList.size() > 0">
            ${_conditionType_} a.contactPhone not in
            <foreach collection="conditionParamRef.contactPhoneNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('email')">
            <if test="conditionParamRef.email != null and conditionParamRef.email != ''">
                ${_conditionType_} a.email like #{${_conditionParam_}.email}
            </if>
            <if test="conditionParamRef.email == null">
                ${_conditionType_} a.email is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('emailList') and conditionParamRef.emailList.size() > 0">
            ${_conditionType_} a.email in
            <foreach collection="conditionParamRef.emailList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('emailNotList') and conditionParamRef.emailNotList.size() > 0">
            ${_conditionType_} a.email not in
            <foreach collection="conditionParamRef.emailNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('website')">
            <if test="conditionParamRef.website != null and conditionParamRef.website != ''">
                ${_conditionType_} a.website like #{${_conditionParam_}.website}
            </if>
            <if test="conditionParamRef.website == null">
                ${_conditionType_} a.website is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('websiteList') and conditionParamRef.websiteList.size() > 0">
            ${_conditionType_} a.website in
            <foreach collection="conditionParamRef.websiteList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('websiteNotList') and conditionParamRef.websiteNotList.size() > 0">
            ${_conditionType_} a.website not in
            <foreach collection="conditionParamRef.websiteNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('taxRegistrationNumber')">
            <if test="conditionParamRef.taxRegistrationNumber != null and conditionParamRef.taxRegistrationNumber != ''">
                ${_conditionType_} a.taxRegistrationNumber like #{${_conditionParam_}.taxRegistrationNumber}
            </if>
            <if test="conditionParamRef.taxRegistrationNumber == null">
                ${_conditionType_} a.taxRegistrationNumber is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('taxRegistrationNumberList') and conditionParamRef.taxRegistrationNumberList.size() > 0">
            ${_conditionType_} a.taxRegistrationNumber in
            <foreach collection="conditionParamRef.taxRegistrationNumberList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('taxRegistrationNumberNotList') and conditionParamRef.taxRegistrationNumberNotList.size() > 0">
            ${_conditionType_} a.taxRegistrationNumber not in
            <foreach collection="conditionParamRef.taxRegistrationNumberNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('socialCreditCode')">
            <if test="conditionParamRef.socialCreditCode != null and conditionParamRef.socialCreditCode != ''">
                ${_conditionType_} a.socialCreditCode like #{${_conditionParam_}.socialCreditCode}
            </if>
            <if test="conditionParamRef.socialCreditCode == null">
                ${_conditionType_} a.socialCreditCode is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('socialCreditCodeList') and conditionParamRef.socialCreditCodeList.size() > 0">
            ${_conditionType_} a.socialCreditCode in
            <foreach collection="conditionParamRef.socialCreditCodeList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('socialCreditCodeNotList') and conditionParamRef.socialCreditCodeNotList.size() > 0">
            ${_conditionType_} a.socialCreditCode not in
            <foreach collection="conditionParamRef.socialCreditCodeNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('trademarkInfo')">
            <if test="conditionParamRef.trademarkInfo != null and conditionParamRef.trademarkInfo != ''">
                ${_conditionType_} a.trademarkInfo like #{${_conditionParam_}.trademarkInfo}
            </if>
            <if test="conditionParamRef.trademarkInfo == null">
                ${_conditionType_} a.trademarkInfo is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('trademarkInfoList') and conditionParamRef.trademarkInfoList.size() > 0">
            ${_conditionType_} a.trademarkInfo in
            <foreach collection="conditionParamRef.trademarkInfoList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('trademarkInfoNotList') and conditionParamRef.trademarkInfoNotList.size() > 0">
            ${_conditionType_} a.trademarkInfo not in
            <foreach collection="conditionParamRef.trademarkInfoNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('websiteRegistrationInfo')">
            <if test="conditionParamRef.websiteRegistrationInfo != null and conditionParamRef.websiteRegistrationInfo != ''">
                ${_conditionType_} a.websiteRegistrationInfo like #{${_conditionParam_}.websiteRegistrationInfo}
            </if>
            <if test="conditionParamRef.websiteRegistrationInfo == null">
                ${_conditionType_} a.websiteRegistrationInfo is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('websiteRegistrationInfoList') and conditionParamRef.websiteRegistrationInfoList.size() > 0">
            ${_conditionType_} a.websiteRegistrationInfo in
            <foreach collection="conditionParamRef.websiteRegistrationInfoList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('websiteRegistrationInfoNotList') and conditionParamRef.websiteRegistrationInfoNotList.size() > 0">
            ${_conditionType_} a.websiteRegistrationInfo not in
            <foreach collection="conditionParamRef.websiteRegistrationInfoNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('totalEmployees')">
            <if test="conditionParamRef.totalEmployees != null ">
                ${_conditionType_} a.totalEmployees = #{${_conditionParam_}.totalEmployees}
            </if>
            <if test="conditionParamRef.totalEmployees == null">
                ${_conditionType_} a.totalEmployees is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('totalEmployeesList') and conditionParamRef.totalEmployeesList.size() > 0">
            ${_conditionType_} a.totalEmployees in
            <foreach collection="conditionParamRef.totalEmployeesList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('totalEmployeesNotList') and conditionParamRef.totalEmployeesNotList.size() > 0">
            ${_conditionType_} a.totalEmployees not in
            <foreach collection="conditionParamRef.totalEmployeesNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('totalEmployeesStart') and conditionParamRef.totalEmployeesStart != null">
            ${_conditionType_} a.totalEmployees <![CDATA[ >= ]]> #{${_conditionParam_}.totalEmployeesStart}
        </if>
        <if test="conditionParamRef.containsKey('totalEmployeesEnd') and conditionParamRef.totalEmployeesEnd != null">
            ${_conditionType_} a.totalEmployees <![CDATA[ <= ]]> #{${_conditionParam_}.totalEmployeesEnd}
        </if>

        <if test="conditionParamRef.containsKey('softNum')">
            <if test="conditionParamRef.softNum != null ">
                ${_conditionType_} a.softNum = #{${_conditionParam_}.softNum}
            </if>
            <if test="conditionParamRef.softNum == null">
                ${_conditionType_} a.softNum is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('softNumList') and conditionParamRef.softNumList.size() > 0">
            ${_conditionType_} a.softNum in
            <foreach collection="conditionParamRef.softNumList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('softNumNotList') and conditionParamRef.softNumNotList.size() > 0">
            ${_conditionType_} a.softNum not in
            <foreach collection="conditionParamRef.softNumNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('softNumStart') and conditionParamRef.softNumStart != null">
            ${_conditionType_} a.softNum <![CDATA[ >= ]]> #{${_conditionParam_}.softNumStart}
        </if>
        <if test="conditionParamRef.containsKey('softNumEnd') and conditionParamRef.softNumEnd != null">
            ${_conditionType_} a.softNum <![CDATA[ <= ]]> #{${_conditionParam_}.softNumEnd}
        </if>

        <if test="conditionParamRef.containsKey('patentNum')">
            <if test="conditionParamRef.patentNum != null ">
                ${_conditionType_} a.patentNum = #{${_conditionParam_}.patentNum}
            </if>
            <if test="conditionParamRef.patentNum == null">
                ${_conditionType_} a.patentNum is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('patentNumList') and conditionParamRef.patentNumList.size() > 0">
            ${_conditionType_} a.patentNum in
            <foreach collection="conditionParamRef.patentNumList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('patentNumNotList') and conditionParamRef.patentNumNotList.size() > 0">
            ${_conditionType_} a.patentNum not in
            <foreach collection="conditionParamRef.patentNumNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('patentNumStart') and conditionParamRef.patentNumStart != null">
            ${_conditionType_} a.patentNum <![CDATA[ >= ]]> #{${_conditionParam_}.patentNumStart}
        </if>
        <if test="conditionParamRef.containsKey('patentNumEnd') and conditionParamRef.patentNumEnd != null">
            ${_conditionType_} a.patentNum <![CDATA[ <= ]]> #{${_conditionParam_}.patentNumEnd}
        </if>


        <if test="conditionParamRef.containsKey('hisDevelop')">
            <if test="conditionParamRef.hisDevelop != null and conditionParamRef.hisDevelop != ''">
                ${_conditionType_} a.hisDevelop like #{${_conditionParam_}.hisDevelop}
            </if>
            <if test="conditionParamRef.hisDevelop == null">
                ${_conditionType_} a.hisDevelop is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('hisDevelopList') and conditionParamRef.hisDevelopList.size() > 0">
            ${_conditionType_} a.hisDevelop in
            <foreach collection="conditionParamRef.hisDevelopList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('hisDevelopNotList') and conditionParamRef.hisDevelopNotList.size() > 0">
            ${_conditionType_} a.hisDevelop not in
            <foreach collection="conditionParamRef.hisDevelopNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('lon')">
            <if test="conditionParamRef.lon != null and conditionParamRef.lon != ''">
                ${_conditionType_} a.lon like #{${_conditionParam_}.lon}
            </if>
            <if test="conditionParamRef.lon == null">
                ${_conditionType_} a.lon is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('lonList') and conditionParamRef.lonList.size() > 0">
            ${_conditionType_} a.lon in
            <foreach collection="conditionParamRef.lonList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('lonNotList') and conditionParamRef.lonNotList.size() > 0">
            ${_conditionType_} a.lon not in
            <foreach collection="conditionParamRef.lonNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('lati')">
            <if test="conditionParamRef.lati != null and conditionParamRef.lati != ''">
                ${_conditionType_} a.lati like #{${_conditionParam_}.lati}
            </if>
            <if test="conditionParamRef.lati == null">
                ${_conditionType_} a.lati is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('latiList') and conditionParamRef.latiList.size() > 0">
            ${_conditionType_} a.lati in
            <foreach collection="conditionParamRef.latiList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('latiNotList') and conditionParamRef.latiNotList.size() > 0">
            ${_conditionType_} a.lati not in
            <foreach collection="conditionParamRef.latiNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('logoPath')">
            <if test="conditionParamRef.logoPath != null and conditionParamRef.logoPath != ''">
                ${_conditionType_} a.logoPath like #{${_conditionParam_}.logoPath}
            </if>
            <if test="conditionParamRef.logoPath == null">
                ${_conditionType_} a.logoPath is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('logoPathList') and conditionParamRef.logoPathList.size() > 0">
            ${_conditionType_} a.logoPath in
            <foreach collection="conditionParamRef.logoPathList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('logoPathNotList') and conditionParamRef.logoPathNotList.size() > 0">
            ${_conditionType_} a.logoPath not in
            <foreach collection="conditionParamRef.logoPathNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('companyVideoPath')">
            <if test="conditionParamRef.companyVideoPath != null and conditionParamRef.companyVideoPath != ''">
                ${_conditionType_} a.companyVideoPath like #{${_conditionParam_}.companyVideoPath}
            </if>
            <if test="conditionParamRef.companyVideoPath == null">
                ${_conditionType_} a.companyVideoPath is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('companyVideoPathList') and conditionParamRef.companyVideoPathList.size() > 0">
            ${_conditionType_} a.companyVideoPath in
            <foreach collection="conditionParamRef.companyVideoPathList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('companyVideoPathNotList') and conditionParamRef.companyVideoPathNotList.size() > 0">
            ${_conditionType_} a.companyVideoPath not in
            <foreach collection="conditionParamRef.companyVideoPathNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('companyPicPath')">
            <if test="conditionParamRef.companyPicPath != null and conditionParamRef.companyPicPath != ''">
                ${_conditionType_} a.companyPicPath like #{${_conditionParam_}.companyPicPath}
            </if>
            <if test="conditionParamRef.companyPicPath == null">
                ${_conditionType_} a.companyPicPath is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('companyPicPathList') and conditionParamRef.companyPicPathList.size() > 0">
            ${_conditionType_} a.companyPicPath in
            <foreach collection="conditionParamRef.companyPicPathList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('companyPicPathNotList') and conditionParamRef.companyPicPathNotList.size() > 0">
            ${_conditionType_} a.companyPicPath not in
            <foreach collection="conditionParamRef.companyPicPathNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('companyIntroduction')">
            <if test="conditionParamRef.companyIntroduction != null and conditionParamRef.companyIntroduction != ''">
                ${_conditionType_} a.companyIntroduction like #{${_conditionParam_}.companyIntroduction}
            </if>
            <if test="conditionParamRef.companyIntroduction == null">
                ${_conditionType_} a.companyIntroduction is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('companyIntroductionList') and conditionParamRef.companyIntroductionList.size() > 0">
            ${_conditionType_} a.companyIntroduction in
            <foreach collection="conditionParamRef.companyIntroductionList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('companyIntroductionNotList') and conditionParamRef.companyIntroductionNotList.size() > 0">
            ${_conditionType_} a.companyIntroduction not in
            <foreach collection="conditionParamRef.companyIntroductionNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('companyCulture')">
            <if test="conditionParamRef.companyCulture != null and conditionParamRef.companyCulture != ''">
                ${_conditionType_} a.companyCulture like #{${_conditionParam_}.companyCulture}
            </if>
            <if test="conditionParamRef.companyCulture == null">
                ${_conditionType_} a.companyCulture is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('companyCultureList') and conditionParamRef.companyCultureList.size() > 0">
            ${_conditionType_} a.companyCulture in
            <foreach collection="conditionParamRef.companyCultureList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('companyCultureNotList') and conditionParamRef.companyCultureNotList.size() > 0">
            ${_conditionType_} a.companyCulture not in
            <foreach collection="conditionParamRef.companyCultureNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('sort')">
            <if test="conditionParamRef.sort != null ">
                ${_conditionType_} a.sort = #{${_conditionParam_}.sort}
            </if>
            <if test="conditionParamRef.sort == null">
                ${_conditionType_} a.sort is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('sortList') and conditionParamRef.sortList.size() > 0">
            ${_conditionType_} a.sort in
            <foreach collection="conditionParamRef.sortList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('sortNotList') and conditionParamRef.sortNotList.size() > 0">
            ${_conditionType_} a.sort not in
            <foreach collection="conditionParamRef.sortNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('sortStart') and conditionParamRef.sortStart != null">
            ${_conditionType_} a.sort <![CDATA[ >= ]]> #{${_conditionParam_}.sortStart}
        </if>
        <if test="conditionParamRef.containsKey('sortEnd') and conditionParamRef.sortEnd != null">
            ${_conditionType_} a.sort <![CDATA[ <= ]]> #{${_conditionParam_}.sortEnd}
        </if>


        <if test="conditionParamRef.containsKey('establishDate')">
            <if test="conditionParamRef.establishDate != null ">
                ${_conditionType_} a.establishDate = #{${_conditionParam_}.establishDate}
            </if>
            <if test="conditionParamRef.establishDate == null">
                ${_conditionType_} a.establishDate is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('establishDateStart') and conditionParamRef.establishDateStart != null and conditionParamRef.establishDateStart!=''">
            ${_conditionType_} a.establishDate <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.establishDateStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('establishDateEnd') and conditionParamRef.establishDateEnd != null and conditionParamRef.establishDateEnd!=''">
            ${_conditionType_} a.establishDate <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.establishDateEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>

        <if test="conditionParamRef.containsKey('remark')">
            <if test="conditionParamRef.remark != null and conditionParamRef.remark != ''">
                ${_conditionType_} a.remark like #{${_conditionParam_}.remark}
            </if>
            <if test="conditionParamRef.remark == null">
                ${_conditionType_} a.remark is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('remarkList') and conditionParamRef.remarkList.size() > 0">
            ${_conditionType_} a.remark in
            <foreach collection="conditionParamRef.remarkList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('remarkNotList') and conditionParamRef.remarkNotList.size() > 0">
            ${_conditionType_} a.remark not in
            <foreach collection="conditionParamRef.remarkNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('createUserId')">
            <if test="conditionParamRef.createUserId != null ">
                ${_conditionType_} a.createUserId = #{${_conditionParam_}.createUserId}
            </if>
            <if test="conditionParamRef.createUserId == null">
                ${_conditionType_} a.createUserId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
            ${_conditionType_} a.createUserId in
            <foreach collection="conditionParamRef.createUserIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdNotList') and conditionParamRef.createUserIdNotList.size() > 0">
            ${_conditionType_} a.createUserId not in
            <foreach collection="conditionParamRef.createUserIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdStart') and conditionParamRef.createUserIdStart != null">
            ${_conditionType_} a.createUserId <![CDATA[ >= ]]> #{${_conditionParam_}.createUserIdStart}
        </if>
        <if test="conditionParamRef.containsKey('createUserIdEnd') and conditionParamRef.createUserIdEnd != null">
            ${_conditionType_} a.createUserId <![CDATA[ <= ]]> #{${_conditionParam_}.createUserIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('createTime')">
            <if test="conditionParamRef.createTime != null ">
                ${_conditionType_} a.createTime = #{${_conditionParam_}.createTime}
            </if>
            <if test="conditionParamRef.createTime == null">
                ${_conditionType_} a.createTime is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('createTimeStart') and conditionParamRef.createTimeStart != null and conditionParamRef.createTimeStart!=''">
            ${_conditionType_} a.createTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.createTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('createTimeEnd') and conditionParamRef.createTimeEnd != null and conditionParamRef.createTimeEnd!=''">
            ${_conditionType_} a.createTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.createTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('updateUserId')">
            <if test="conditionParamRef.updateUserId != null ">
                ${_conditionType_} a.updateUserId = #{${_conditionParam_}.updateUserId}
            </if>
            <if test="conditionParamRef.updateUserId == null">
                ${_conditionType_} a.updateUserId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
            ${_conditionType_} a.updateUserId in
            <foreach collection="conditionParamRef.updateUserIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdNotList') and conditionParamRef.updateUserIdNotList.size() > 0">
            ${_conditionType_} a.updateUserId not in
            <foreach collection="conditionParamRef.updateUserIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdStart') and conditionParamRef.updateUserIdStart != null">
            ${_conditionType_} a.updateUserId <![CDATA[ >= ]]> #{${_conditionParam_}.updateUserIdStart}
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdEnd') and conditionParamRef.updateUserIdEnd != null">
            ${_conditionType_} a.updateUserId <![CDATA[ <= ]]> #{${_conditionParam_}.updateUserIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('updateTime')">
            <if test="conditionParamRef.updateTime != null ">
                ${_conditionType_} a.updateTime = #{${_conditionParam_}.updateTime}
            </if>
            <if test="conditionParamRef.updateTime == null">
                ${_conditionType_} a.updateTime is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('updateTimeStart') and conditionParamRef.updateTimeStart != null and conditionParamRef.updateTimeStart!=''">
            ${_conditionType_} a.updateTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.updateTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('updateTimeEnd') and conditionParamRef.updateTimeEnd != null and conditionParamRef.updateTimeEnd!=''">
            ${_conditionType_} a.updateTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.updateTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>

        <if test="conditionParamRef.containsKey('background')">
            <if test="conditionParamRef.background != null and conditionParamRef.background != ''">
                ${_conditionType_} a.background like #{${_conditionParam_}.background}
            </if>
            <if test="conditionParamRef.background == null">
                ${_conditionType_} a.background is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('backgroundList') and conditionParamRef.backgroundList.size() > 0">
            ${_conditionType_} a.background in
            <foreach collection="conditionParamRef.backgroundList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('backgroundNotList') and conditionParamRef.backgroundNotList.size() > 0">
            ${_conditionType_} a.background not in
            <foreach collection="conditionParamRef.backgroundNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
    </sql>
    <sql id="_orderCols_">
        <if test="orderColList != null and !orderColList.isEmpty()">
            order by
            <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
                field(a.id,
                <foreach collection="conditionParamRef.idList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('totalEmployeesList') and conditionParamRef.totalEmployeesList.size() > 0">
                field(a.totalEmployees,
                <foreach collection="conditionParamRef.totalEmployeesList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('softNumList') and conditionParamRef.softNumList.size() > 0">
                field(a.softNum,
                <foreach collection="conditionParamRef.softNumList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('patentNumList') and conditionParamRef.patentNumList.size() > 0">
                field(a.patentNum,
                <foreach collection="conditionParamRef.patentNumList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('sortList') and conditionParamRef.sortList.size() > 0">
                field(a.sort,
                <foreach collection="conditionParamRef.sortList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
                field(a.createUserId,
                <foreach collection="conditionParamRef.createUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
                field(a.updateUserId,
                <foreach collection="conditionParamRef.updateUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <trim suffixOverrides=","  suffix="">
                <foreach collection="orderColList" open="" close="" index="index" item="item" separator=",">
                    a.${item.colName} ${item.sortKind}
                </foreach>
            </trim>
        </if>
        <if test="(orderColList == null or orderColList.isEmpty()) and orderCol != null and !orderCol.isEmpty()">
            order by
            <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
                field(a.id,
                <foreach collection="conditionParamRef.idList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('totalEmployeesList') and conditionParamRef.totalEmployeesList.size() > 0">
                field(a.totalEmployees,
                <foreach collection="conditionParamRef.totalEmployeesList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('softNumList') and conditionParamRef.softNumList.size() > 0">
                field(a.softNum,
                <foreach collection="conditionParamRef.softNumList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('patentNumList') and conditionParamRef.patentNumList.size() > 0">
                field(a.patentNum,
                <foreach collection="conditionParamRef.patentNumList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('sortList') and conditionParamRef.sortList.size() > 0">
                field(a.sort,
                <foreach collection="conditionParamRef.sortList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
                field(a.createUserId,
                <foreach collection="conditionParamRef.createUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
                field(a.updateUserId,
                <foreach collection="conditionParamRef.updateUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <trim suffixOverrides=","  suffix="">
                <if test="orderCol.containsKey('id')">
                    a.id
                    <if test='orderCol.id != null and "DESC".equalsIgnoreCase(orderCol.id)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('companyName')">
                    a.companyName
                    <if test='orderCol.companyName != null and "DESC".equalsIgnoreCase(orderCol.companyName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('companyCode')">
                    a.companyCode
                    <if test='orderCol.companyCode != null and "DESC".equalsIgnoreCase(orderCol.companyCode)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('registrationNumber')">
                    a.registrationNumber
                    <if test='orderCol.registrationNumber != null and "DESC".equalsIgnoreCase(orderCol.registrationNumber)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('legalRepresentative')">
                    a.legalRepresentative
                    <if test='orderCol.legalRepresentative != null and "DESC".equalsIgnoreCase(orderCol.legalRepresentative)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('registeredCapital')">
                    a.registeredCapital
                    <if test='orderCol.registeredCapital != null and "DESC".equalsIgnoreCase(orderCol.registeredCapital)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('companyType')">
                    a.companyType
                    <if test='orderCol.companyType != null and "DESC".equalsIgnoreCase(orderCol.companyType)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('businessScope')">
                    a.businessScope
                    <if test='orderCol.businessScope != null and "DESC".equalsIgnoreCase(orderCol.businessScope)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('businessAdress')">
                    a.businessAdress
                    <if test='orderCol.businessAdress != null and "DESC".equalsIgnoreCase(orderCol.businessAdress)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('location')">
                    a.location
                    <if test='orderCol.location != null and "DESC".equalsIgnoreCase(orderCol.location)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('areaCode')">
                    a.areaCode
                    <if test='orderCol.areaCode != null and "DESC".equalsIgnoreCase(orderCol.areaCode)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('areaName')">
                    a.areaName
                    <if test='orderCol.areaName != null and "DESC".equalsIgnoreCase(orderCol.areaName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('contactPhone')">
                    a.contactPhone
                    <if test='orderCol.contactPhone != null and "DESC".equalsIgnoreCase(orderCol.contactPhone)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('email')">
                    a.email
                    <if test='orderCol.email != null and "DESC".equalsIgnoreCase(orderCol.email)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('website')">
                    a.website
                    <if test='orderCol.website != null and "DESC".equalsIgnoreCase(orderCol.website)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('taxRegistrationNumber')">
                    a.taxRegistrationNumber
                    <if test='orderCol.taxRegistrationNumber != null and "DESC".equalsIgnoreCase(orderCol.taxRegistrationNumber)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('socialCreditCode')">
                    a.socialCreditCode
                    <if test='orderCol.socialCreditCode != null and "DESC".equalsIgnoreCase(orderCol.socialCreditCode)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('trademarkInfo')">
                    a.trademarkInfo
                    <if test='orderCol.trademarkInfo != null and "DESC".equalsIgnoreCase(orderCol.trademarkInfo)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('websiteRegistrationInfo')">
                    a.websiteRegistrationInfo
                    <if test='orderCol.websiteRegistrationInfo != null and "DESC".equalsIgnoreCase(orderCol.websiteRegistrationInfo)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('totalEmployees')">
                    a.totalEmployees
                    <if test='orderCol.totalEmployees != null and "DESC".equalsIgnoreCase(orderCol.totalEmployees)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('softNum')">
                    a.softNum
                    <if test='orderCol.softNum != null and "DESC".equalsIgnoreCase(orderCol.softNum)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('patentNum')">
                    a.patentNum
                    <if test='orderCol.patentNum != null and "DESC".equalsIgnoreCase(orderCol.patentNum)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('hisDevelop')">
                    a.hisDevelop
                    <if test='orderCol.hisDevelop != null and "DESC".equalsIgnoreCase(orderCol.hisDevelop)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('lon')">
                    a.lon
                    <if test='orderCol.lon != null and "DESC".equalsIgnoreCase(orderCol.lon)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('lati')">
                    a.lati
                    <if test='orderCol.lati != null and "DESC".equalsIgnoreCase(orderCol.lati)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('logoPath')">
                    a.logoPath
                    <if test='orderCol.logoPath != null and "DESC".equalsIgnoreCase(orderCol.logoPath)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('companyVideoPath')">
                    a.companyVideoPath
                    <if test='orderCol.companyVideoPath != null and "DESC".equalsIgnoreCase(orderCol.companyVideoPath)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('companyPicPath')">
                    a.companyPicPath
                    <if test='orderCol.companyPicPath != null and "DESC".equalsIgnoreCase(orderCol.companyPicPath)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('companyIntroduction')">
                    a.companyIntroduction
                    <if test='orderCol.companyIntroduction != null and "DESC".equalsIgnoreCase(orderCol.companyIntroduction)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('companyCulture')">
                    a.companyCulture
                    <if test='orderCol.companyCulture != null and "DESC".equalsIgnoreCase(orderCol.companyCulture)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('sort')">
                    a.sort
                    <if test='orderCol.sort != null and "DESC".equalsIgnoreCase(orderCol.sort)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('establishDate')">
                    a.establishDate
                    <if test='orderCol.establishDate != null and "DESC".equalsIgnoreCase(orderCol.establishDate)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('remark')">
                    a.remark
                    <if test='orderCol.remark != null and "DESC".equalsIgnoreCase(orderCol.remark)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('createUserId')">
                    a.createUserId
                    <if test='orderCol.createUserId != null and "DESC".equalsIgnoreCase(orderCol.createUserId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('createTime')">
                    a.createTime
                    <if test='orderCol.createTime != null and "DESC".equalsIgnoreCase(orderCol.createTime)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('updateUserId')">
                    a.updateUserId
                    <if test='orderCol.updateUserId != null and "DESC".equalsIgnoreCase(orderCol.updateUserId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('updateTime')">
                    a.updateTime
                    <if test='orderCol.updateTime != null and "DESC".equalsIgnoreCase(orderCol.updateTime)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('background')">
                    a.background
                    <if test='orderCol.background != null and "DESC".equalsIgnoreCase(orderCol.background)'>DESC</if>
                    ,
                </if>
            </trim>
        </if>


    </sql>
    <sql id="_group_by_">
        <if test="groupList != null and !groupList.isEmpty()">
            GROUP BY
            <trim suffixOverrides=","  suffix="">
                <foreach collection="groupList" open="" close="" index="index" item="item" separator=",">
                    ${item}
                </foreach>
            </trim>
        </if>
    </sql>
</mapper>